# IAddressStore

*Contains the types for the GNSAddressStore facet*

## Role

```solidity
enum Role {
  ROLES_MANAGER,
  GOV,
  MANAGER
}
```

## Addresses

```solidity
struct Addresses {
  address gns;
  address gnsStaking;
}
```

## AddressStore

```solidity
struct AddressStore {
  uint256 __deprecated;
  mapping(address => mapping(enum IAddressStore.Role => bool)) accessControl;
  struct IAddressStore.Addresses globalAddresses;
  uint256[8] __gap1;
  uint256[38] __gap2;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gains.trade/developer/technical-reference/contracts/interfaces/types/iaddressstore.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
